<template>
  <div class="survey-slides-container">
    <survey-slide v-for="slide in slides" :key="slide.name" :name="slide.name" />
  </div>
</template>

<script>
  import Vue from 'Vue';
  import Store from '../stores/app.store';
  import SurveySlide from './slide';

  export default {
    components: { SurveySlide },
    name: "survey",
    props: [ 'type', 'entry', 'callback' ],
    created() {
      Store.commit('initSurvey', this.type);
      if (this.callback) { Store.commit('subscribe', this.callback); }
      if (this.entry) { Store.commit('setSlide', this.entry); }
    },
    computed: {
      slides() { return Store.state.slides; }
    }
  }
</script>

<style scoped>
  .survey-slides-container {
    position: relative;
    box-sizing: border-box;
  }
</style>
